## crash 7.2.9

=== debian/changelog ===
crash (7.2.9-2ubuntu2) hirsute; urgency=medium

  * Build without lto. Fails to build gdb on ppc64el. That should be fixed,
    once gdb is updated to a more recent version (e.g. 10.x).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 10:04:06 +0100

crash (7.2.9-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 09:08:04 +0100

crash (7.2.9-2) unstable; urgency=medium

  * Backporting future patches to support printk in kernel 5.10+ based on:
    https://github.com/crash-utility/crash/compare/bf57c44...71e159c
  * Update to current debhelper 13. 

 -- Troy Heber <troyh@debian.org>  Tue, 08 Dec 2020 12:58:57 -0700

crash (7.2.9-1) unstable; urgency=medium

  * Patch from Sebastian Andrzej Siewior <sebastian@breakpoint.cc>: The crash
    project moved recently to github. The attached patch updates the
    information within the package. It also adds a watch file which points to
    the latest release (closes: #976195)

  * Fix for an ARM64 gcc-10 compilation error.  Without the patch, the build
    of the embedded gdb module fails with an error message that indicates
    "multiple definition of 'tdesc_aarch64'".

  * Fix for the "log" command.  Without the patch, the command's output may be
    truncated, ending with the error message "log: invalid log_buf entry
    encountered".

  * Fix to allow the translation of ARM64 FIXMAP addresses located in the
    virtual memory region between the end of the vmalloc region and the
    beginning of the vmemmap region.  Without the patch, reads of virtual
    addresses within that region are not recognized properly and will fail.

  * Introduction of a new "extend -s" option, which shows all available shared
    object extension modules that are located in the directories that are part
    of the normal search path that is used when a shared object is loaded
    without a fully-qualified pathname.

  * Fix for the "bpf -m|-M" options on Linux 5.3 and later kernels that
    contain commit 3539b96e041c06e4317082816d90ec09160aeb11, titled "bpf:
    group memory related fields in struct bpf_map_memory".  Without the patch,
    the options prints "(unknown)" for MEMLOCK and UID.

  * Enhancement to the "bpf -p|-P" options to display the eBPF program name
    string.

  * Fix for reading compressed kdump dumpfiles from systems with physical
    memory located at extraordinarily high addresses.  In a system with a
    physical address range from 0x602770ecf000 to 0x6027ffffffff, the crash
    utility fails during session initialization due to an integer overflow,
    ending with the error message "crash: vmlinux and vmcore do not match!".

  * Enhancement of the "struct -r" option to support the raw memory display of
    a single data structure member.  Without the patch, the option only
    supported the raw display of a complete data structure.

  * Modify the display behavior of the "struct -r" option so as to scale the
    minimum display size from the size of a per-architecture long (32-bits or
    64-bits) down to 8-bits, 16-bits or 32-bits when the requested size is
    equal to one of the smaller sizes.

  * Introduce a new ARM64 "--machdep vabits_actual=<value>" command line
    option for Linux 5.4 and later dumpfiles, which require the kernel's
    dynamically-determined "vabits_actual" value for virtual address
    translation.  Without the patch, the crash session fails during
    initialization with the error message "crash: cannot determine
    VA_BITS_ACTUAL".  This option will become unnecessary when the proposed
    TCR_EL1.T1SZ vmcoreinfo entry is incorporated into the kernel.

  * Fix for "kmem -[sS]" options on Linux 4.14 and later kernels built with
    CONFIG_SLAB_FREELIST_HARDENED enabled. Without the patch, there will error
    messages of the type "kmem: <cache name> slab: <address> invalid
    freepointer: <obfuscated address>" for caches created during SLUB
    bootstrap, as they are likely to have s->random == 0.

  * If readmem() receives a user-space address in a page that has been swapped
    to the zswap compressed swap cache, an attempt will be made to find and
    decompress the page.

  * Fix for the "mount -n [pid|task]" option when running on a live system.
    Without the patch, if the [pid|task] has been created since the last
    internal task table refresh, the command fails with the error message
    "mount: invalid task or pid value: <value>".

  * Introduction of the "log -T" option, which translates the leading
    timestamp value of each message into human readable format.

  * When kernels are built with LLVM, the names of many symbols may be
    appended with an ".llvm.<number>" string.  As a result, commands such as
    "irq" fail with the error message irq: neither irq_desc, _irq_desc,
    irq_desc_ptrs or irq_desc_tree symbols exist".  This patch adds the
    LLVM-generated string to the other strings that are stripped from symbols
    before they are stored.

  * Prepare for the introduction of ARM64 8.3 Pointer Authentication as
    in-kernel feature.  The value of CONFIG_ARM64_KERNELPACMASK will be
    exported as a vmcoreinfo entry, and will be used with text return
    addresses on the kernel stack.

  * Several fixes for ARM64 kernels:
    (1) Linux kernel patch "arm64: mm: Introduce vabits_actual"
        introduced "physvirt_offset", which is not equal to
        (PHYS_OFFSET - PAGE_OFFSET) when KASLR is enabled.
        physvirt_offset is caculated in arch/arm64/mm/init.c
        before memstart_addr (PHYS_OFFSET) is randomized.  Let
        arm64_VTOP() and arm64_PTOV() use physvirt_offset instead,
        whose default value is set to (phys_offset - page_offset)
    (2) For ARM64 RAM dumps without any vmcoreinfo and KASLRpassed as
        argument, " _stext_vmlinux" is not set.  This causes incorrect
        calculation of vmalloc_start with VA_BITS_ACTUAL.

