## crash 7.3.0

=== debian/changelog ===
crash (7.3.0-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build without lto. Fails to build gdb on ppc64el. That should be fixed,
      once gdb is updated to a more recent version (e.g. 10.x).
    - Add linux-libc-dev dependency for the autopkg test. This package
      gets usually broken with kernel upgrades, so let it already show
      in the autopkg test.

 -- dann frazier <dann.frazier@canonical.com>  Thu, 08 Jul 2021 09:16:21 -0600

crash (7.3.0-1) experimental; urgency=medium

  * Add support for new lockless righbuffer that Linux 5.10 introduced.
    Without the two patches, crash fails during session initialization or
    "log" command fails with the error message:

    crash: cannot determine length of symbol: log_end

  * Add support for VC exception stack on x86_64 Linux 5.10 and later kernels
    that contain commit 02772fb9b68e ("x86/sev-es: Allocate and map an IST
    stack for #VC handler").

  * Fix regression for raw RAM dumpfiles.  Commit f42db6a33f0e ("Support core
    files with "unusual" layout") increased the minimal file size from
    MIN_NETDUMP_ELF_HEADER_SIZE to SAFE_NETDUMP_ELF_HEADER_SIZE which can lead
    to crash rejecting raw RAM dumpfiles.  Without the patch, the crash fails
    to start a session with the error message:

    /var/tmp/ramdump_elf_XXXXXX: ELF header read: No such file or directory
    crash: malformed ELF file: /var/tmp/ramdump_elf_XXXXXX


  * Update mapping symbol filter in arm64_verify_symbol() to support the long
    form of mapping symbols, e.g. "$x.<any...>".  Without the patch, the "dis"
    command cannot completely parse out the disassembly of a function that has
    mapping symbols in the long form and misses the tail part of the function.

  * Move extensins/Makefile's ping check to recipe script.  Without this
    patch, in an environment where ping to github.com does not work, "make
    clean" at the top-level crash directory always takes about 10 seconds
    unnecessarily.

  * Fix for a segmentation fault when analyzing arm64 kernels that are
    configured with CONFIG_IKCONFIG and have a strange entry that does not
    contain the delimiter "=", such as "CONFIG_SECU+[some hex data]".  Without
    the patch, in the add_ikconfig_entry() function, strtok_r() interprets it
    as consisting of a single token and the val variable is set to NULL, and
    then strdup() crashes.

  * Fix a couple of issues that were detected by valgrind.

  * Add ability to un-set scope.  The ability can come in very useful when
    running automated pykdump scripts and needing scope to be cleared between
    script runs.

  * Fix "sys [-t]|mod -S" after "mod -t" when crash runs with -s option.
    Without the patch, the "sys [-t]" and "mod -S" options after "mod -t"
    option fail with the error message:

    sys: invalid structure member offset: tnt_false FILE: kernel.c  LINE:
    11203  FUNCTION: show_kernel_taints_v4_10()

  * Fix for "dev -d" option on Linux 5.11-rc1 and later kernels that contains
    commit 0d02129e76edf91cf04fabf1efbc3a9a1f1d729a ("block: merge struct
    block_device and struct hd_struct").  Without the patch, the option fails
    with the error message: 

    dev: invalid structure member offset: hd_struct_dev

  * Fix for "kmem -v" option on Linux 5.11-rc1 and later kernels that contain
    commit 96e2db456135db0cf2476b6890f1e8b2fdcf21eb ("mm/vmalloc: rework the
    drain logic").  Without the patch, the option will display nothing or fail
    with the error message:

    kmem: invalid kernel virtual address: <address>  type: "vmlist addr"

  * Add the base address of module to "mod" command output.  Currently the
    command shows the address of the module struct, but it is inconvenient to
    know the address range of the module, so extend to show the base address.

  * Increase the value of __PHYSICAL_MASK_SHIFT_XEN to 52.  The former value
    of __PHYSICAL_MASK_SHIFT_XEN in crash (40) is smaller than the kernel (52)
    since kernel commit 6f0e8bf167 (xen: support 52 bit physical addresses in
    pv guests).  This can cause x86_64_pud_offset() to lose the most
    significant bits of pgd_pte, leading to a failed xen_m2p() translation,
    resulting in crash failing with an error message like this:

    crash: read error: physical address: ffffffffffffffff  type: "pud page"

  * Change log level print in older kernels.  In older kernels that have the
    variable-length-record log_buf, the log level and the log flags/facility
    are not separated.  Since the log level is only the last three bits, and
    the flags/facility and level are separated in
    5.10 and later kernels, only print those last three bits when using 'log
    -m'.

  * Reduce crash build log.  The verbose output of tar command when extracting
    the GDB source files occupies more than the half of crash build log.  It
    is not so helpful and makes the build log longer needlessly especially on
    CI build test without the patch.

  * Fix for "bt" command on Linux 5.12-rc1 and later x86_64 kernels that
    contain commit 951c2a51ae75 ("x86/irq/64: Adjust the per CPU irq stack
    pointer by 8").  Without the patch, the "bt" command and some of its
    options that read irq stack fail with the error message:

    bt: read of stack at <address> failed".

  * Add valgrind support for the crash's custom memory allocator.  This helps
    detecting various memory errors on the crash's custom memory allocator.

  * Fix for a couple of invalid read/write issues detected by valgrind.

  * Fix "struct" command to print member array of list_heads correctly.
    Without the patch, due to the way that an array of list_head entries are
    printed, parsing of them fails and the command does not print anything:

    crash> struct blk_mq_ctx.rq_completed ffffc447ffc0f740 crash>

  * Do not pass through 'sy' command to GDB.  The GDB 'symbol-file' command is

