=== debian/changelog ===
crash (8.0.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build without lto. Fails to build gdb on ppc64el. That should be fixed,
      once gdb is updated to a more recent version (e.g. 10.x).
    - Add linux-libc-dev dependency for the autopkg test. This package
      gets usually broken with kernel upgrades, so let it already show
      in the autopkg test.
  * Run autopkg test with allow-stderr.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Mar 2022 15:07:01 +0100

crash (8.0.0-1) unstable; urgency=medium
  * New upstream (Closes: #950544)
  * Add lintian override for zlib in embedded gdb
  * 
  * commit ec568e2ea515b66343d3488d5d4b9a625d55b7ae
  * Author: Kazuhito Hagio <k-hagio-ab@nec.com>
  * Date:   Wed Nov 24 13:32:49 2021 +0900
  * 
  *     crash-7.3.0 -> crash-8.0.0
  *     
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit 6bc104059b124ecac5c8244f84aae6d7cfdfe97c
  * Author: Kazuhito Hagio <k-hagio-ab@nec.com>
  * Date:   Tue Nov 16 02:42:23 2021 +0000
  * 
  *     log: add warning to help text to inform the inaccuracy of -T option
  *     
  *     The timestamps of the "log -T" option are inaccurate because they are
  *     from local_clock(), which returns the raw counter in the local CPU and
  *     it's different from the elapsed wall time.
  *     
  *     The dmesg command, which the "log -T" option imitates, has a similar
  *     behavior in nature and a warning in its help text.  Let's add a warning
  *     also to the crash's help text to inform the inaccuracy for now.
  *     
  *     Reported-by: Martin Moore <martin.moore@hpe.com>
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit b0dd73d2368275e101688b2aca0bc297fd1ba300
  * Author: Aaron Tomlin <atomlin@redhat.com>
  * Date:   Mon Nov 1 11:39:34 2021 +0000
  * 
  *     kernel: show that the kernel is tainted at init-time
  *     
  *     Explicitly indicate to the user that the Linux kernel is tainted
  *     at init-time or when the 'sys' command is used.
  *     
  *     Signed-off-by: Aaron Tomlin <atomlin@redhat.com>
  * 
  * commit 64f48ee6719632895cd8a0922e84a4626e3790d8
  * Author: Aaron Tomlin <atomlin@redhat.com>
  * Date:   Mon Nov 1 11:39:33 2021 +0000
  * 
  *     kernel: Introduce is_kernel_tainted()
  *     
  *     Provide a quick way to test if the given Linux kernel is "tainted".
  *     Support for Linux-2.6.12 and above, to date.
  *     
  *     Signed-off-by: Aaron Tomlin <atomlin@redhat.com>
  * 
  * commit bfa596f40650e5a061b15d41b0a5b108610b11e9
  * Author: Aaron Tomlin <atomlin@redhat.com>
  * Date:   Mon Nov 1 11:39:32 2021 +0000
  * 
  *     kernel: consolidate show_kernel_taints()
  *     
  *     No functional change.
  *     
  *     Signed-off-by: Aaron Tomlin <atomlin@redhat.com>
  * 
  * commit 8246dce99dd23457e8c7a3fe9609c706694d1959
  * Author: Kazuhito Hagio <k-hagio-ab@nec.com>
  * Date:   Thu Nov 11 15:20:52 2021 +0900
  * 
  *     arm64: Update SECTION_SIZE_BITS for kernels >= 5.12
  *     
  *     Update the default SECTION_SIZE_BITS value for arm64 Linux 5.12
  *     and later kernels that contain kernel commit f0b13ee23241
  *     ("arm64/sparsemem: reduce SECTION_SIZE_BITS").
  *     
  *     Reported-by: Ankur Bansal <er.ankurbansal@gmail.com>
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit 01d20ca1861ffaf449c1c60aa0536e9f42200ad3
  * Author: Philipp Rudo <prudo@redhat.com>
  * Date:   Tue Nov 9 14:52:22 2021 +0100
  * 
  *     Fix live debugging with lockdown=integrity
  *     
  *     With kernel lockdown the access to kernel interfaces that allow one to
  *     extract confidential information (lockdown=confidentiality) or modify a
  *     running kernel (lockdown=integrity) can be restricted. Two of the
  *     interfaces that can be restricted are /dev/mem (integrity &
  *     confidentiality) and /proc/kcore (confidentiality). With
  *     lockdown=integrity this leads to a situation where /dev/mem exists but
  *     is not readable while /proc/kcore exists and is readable. This breaks
  *     crash's live debugging when it is invoked without argument, i.e.
  *     
  *     $ crash
  *     [...]
  *     crash: /dev/mem: Operation not permitted
  *     
  *     while passing /proc/kcore as image succeeds. The reason for this is
  *     that crash always picks /dev/mem as source when it exits but doesn't
  *     check if it is readable. Fix this by only selecting /dev/mem when it
  *     is readable.
  *     
  *     Signed-off-by: Philipp Rudo <prudo@redhat.com>
  * 
  * commit 68870c83d299603c07785e3530e33c13045c87ef
  * Author: Alexander Egorenkov <egorenar@linux.ibm.com>
  * Date:   Wed Oct 13 10:56:39 2021 +0200
  * 
  *   Handle task_struct cpu member changes for kernels >= 5.16-rc1
  *     
  *   Kernel commit bcf9033e5449bdcaa9bed46467a7141a8049dadb
  *   ("sched: move CPU field back into thread_info if THREAD_INFO_IN_TASK=y")
  *   moved the member cpu of task_struct back into thread_info.
  *   Without the patch, crash fails with the following error message
  *   during session initialization:
  *     
  *     crash: invalid structure member offset: task_struct_cpu
  *            FILE: task.c  LINE: 2904  FUNCTION: add_context()
  *     
  *   Signed-off-by: Alexander Egorenkov <egorenar@linux.ibm.com>
  *    Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit c180a63f2cb370da6097ad97eb07333c07aa988b
  * Author: Kazuhito Hagio <k-hagio-ab@nec.com>
  * Date:   Mon Oct 25 16:53:26 2021 +0900
  * 
  *     arm64: Use VA_BITS for page_offset calculation
  *     
  *     Commit 167d37e347fe ("arm64: assign page_offset with VA_BITS kernel
  *     configuration value") changed the page_offset calculation from
  *     using VA_BITS_ACTUAL to CONFIG_ARM64_VA_BITS.  This caused an error
  *     for ramdumps without vmcoreinfo like this:
  *     
  *       crash: vmlinux and /var/tmp/ramdump_elf_XUtCMT do not match!
  *     

