=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) extensions lzo snappy
+	$(MAKE) extensions lzo snappy zstd
 
 override_dh_auto_clean:
 	cp $(CURDIR)/Makefile $(CURDIR)/debian/Makefile.ori
@@ -23,7 +23,7 @@
 	dh_clean
 	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
 	rm -Rf $(CURDIR)/configure
-	rm -Rf $(CURDIR)/gdb-7.6
+	rm -Rf $(CURDIR)/gdb-10.2
 	rm -Rf $(CURDIR)/gdb.files
 	rm -Rf $(CURDIR)/build_data.c
 	rm -Rf $(CURDIR)/extensions/*.so
