## crash 8.0.2

=== debian/changelog ===
crash (8.0.2-1) unstable; urgency=medium
  * New upstream
  * commit f1cd581d1c4afa5b8ffdfaa6a3ea9f545fe4ec91
  * Author: Kazuhito Hagio <k-hagio-ab@nec.com>
  * Date:   Wed Nov 16 13:13:39 2022 +0900
  * 
  *     crash-8.0.1 -> crash-8.0.2
  *     
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit a158590f475c8d6d504b0c5e28b3cd91cfd47877
  * Author: Lianbo Jiang <lijiang@redhat.com>
  * Date:   Wed Nov 9 14:21:57 2022 +0800
  * 
  *     Fix for "ps/vm" commands to display correct %MEM and RSS values
  *     
  *     The ps/vm commands may print the bogus value of the %MEM and RSS, the
  *     reason is that the counter of rss stat is updated in asynchronous manner
  *     and may become negative, when the SPLIT_RSS_COUNTING is enabled in
  *     kernel.
  *     
  *     As a result, crash will read it from memory and convert from negative to
  *     unsigned long integer, eventually it overflows and gets a big integer.
  *     For example:
  *     
  *       crash> ps 1393
  *           PID    PPID  CPU       TASK        ST  %MEM      VSZ      RSS  COMM
  *          1393       1  24  ffff9584bb542100  RU  541298032135.9     4132 18014398509481908  enlinuxpc64
  *                                                  ^^^^^^^^^^^^^^          ^^^^^^^^^^^^^^^^^
  *     
  *     This is unexpected, crash needs to correct its value for this case.
  *     
  *     Signed-off-by: Lianbo Jiang <lijiang@redhat.com>
  * 
  * commit 21139d9456ee41ffc8cec804dc530d6934ddac89
  * Author: Matias Ezequiel Vara Larsen <matiasevara@gmail.com>
  * Date:   Mon Oct 24 11:35:29 2022 +0200
  * 
  *     Fix segmentation fault in page_flags_init_from_pageflag_names()
  *     
  *     When read_string() fails in page_flags_init_from_pageflag_names(),
  *     error() dereferences the name variable to print the string that the
  *     variable points to. However, name points to a string that is not in
  *     crash's memory-space thus triggering a segmentation fault.
  *     
  *     This patch replaces "%s" in the error message with "%lx" so the address
  *     is printed instead.  Also replaces "%ld" for mask with "%lx".
  *     
  *     [ kh: changed the conversion specifiers and commit message ]
  *     
  *     Signed-off-by: Matias Ezequiel Vara Larsen <matias.vara@vates.fr>
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit 487551488b15fcd135b29990593699a121730219
  * Author: Lianbo Jiang <lijiang@redhat.com>
  * Date:   Tue Oct 4 18:57:11 2022 +0800
  * 
  *     ppc64: still allow oneto move on if the emergency stacks info fails to
  *     initialize
  *     
  *     Currently crash will fail and then exit, if the initialization of
  *     the emergency stacks information fails. In real customer environments,
  *     sometimes, a vmcore may be partially damaged, although such vmcores
  *     are rare. For example:
  *     
  *       # ./crash ../3.10.0-1127.18.2.el7.ppc64le/vmcore
  *       ../3.10.0-1127.18.2.el7.ppc64le/vmlinux  -s
  *       crash: invalid kernel virtual address: 38  type:
  *       "paca->emergency_sp"
  *       #
  *     
  *     Lets try to keep loading vmcore if such issues happen, so call
  *     the readmem() with the RETURN_ON_ERROR instead of FAULT_ON_ERROR,
  *     which allows the crash move on.
  *     
  *     Reported-by: Dave Wysochanski <dwysocha@redhat.com>
  *     Signed-off-by: Lianbo Jiang <lijiang@redhat.com>
  * 
  * commit 3b5e3e1583a1f596360c04e8a322e30cf88f27ab
  * Author: Tao Liu <ltao@redhat.com>
  * Date:   Mon Sep 19 17:49:23 2022 +0800
  * 
  *     Let "kmem" print task context with physical address
  *     
  *     Patch [1] enables "kmem" to print task context if the given virtual
  *     address is a vmalloced stack.
  *     
  *     This patch lets "kmem" print task context also when the given address
  *     is a physical address.
  *     
  *     Before:
  *         crash> kmem 1883700e28
  *            VMAP_AREA         VM_STRUCT                 ADDRESS RANGE                SIZE
  *         ffff94eb9102c640  ffff94eb9102b140  ffffb7efce9b8000 - ffffb7efce9bd000    20480
  *     
  *               PAGE         PHYSICAL      MAPPING       INDEX CNT FLAGS
  *         ffffdd28220dc000 1883700000                0        0  1 50000000000000
  *     
  *     After:
  *         crash> kmem 1883700e28
  *             PID: 847
  *         COMMAND: "khungtaskd"
  *            TASK: ffff94f8038f4000  [THREAD_INFO: ffff94f8038f4000]
  *             CPU: 72
  *           STATE: TASK_RUNNING (PANIC)
  *     
  *            VMAP_AREA         VM_STRUCT                 ADDRESS RANGE                SIZE
  *         ffff94eb9102c640  ffff94eb9102b140  ffffb7efce9b8000 - ffffb7efce9bd000    20480
  *     
  *               PAGE         PHYSICAL      MAPPING       INDEX CNT FLAGS
  *         ffffdd28220dc000 1883700000                0        0  1 50000000000000
  *     
  *     [1]: https://listman.redhat.com/archives/crash-utility/2022-September/010115.html
  *     
  *     [ kh: squashed the 4/4 patch into 3/4 ]
  *     
  *     Signed-off-by: Tao Liu <ltao@redhat.com>
  *     Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
  * 
  * commit 60cb8650a0126abda661c44d198ebde514eca3e2
  * Author: Tao Liu <ltao@redhat.com>
  * Date:   Mon Sep 19 17:49:22 2022 +0800
  * 
  *     Fix page offset issue when converting physical to virtual address
  *     
  *     When trying to convert a physical address to its virtual
  *     address in dump_vmap_area() and dump_vmlist(), the vi->retval
  *     is added by 2 values: the page aligned address "pcheck"
  *     and page offset address "PAGEOFFSET(paddr)".
  *     
  *     However "paddr" is given by "pcheck", is also page aligned,
  *     so "PAGEOFFSET(paddr)" is always 0.
  *     
  *     In this patch, we will use PAGEOFFSET(vi->spec_addr) to give the
  *     page offset, vi->spec_addr is the physical address we'd like
  *     to convert, which contains the correct page offset.

