=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 export DEB_BUILD_HARDENING=1
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export EXTDIR=/usr/lib/crash/extensions
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
